Description: Following up on my comment to the discussion of the new theme (see 

https://www.chiliproject.org/boards/1/topics/1073?r=1116#message-1116), I'd like to open this feature request 
for better tracking of this issue.

The background is that with version 3.0.0 beta1 on Mac OS X 10.6.8 using Safari, the Projects drop-down 
menu gives no ability to reach the projects overview other than be right click and open in new tab/window 
even though Safari recognizes the menu button as link to this page.

One proposed solution is to always have a "View all projects" entry in the drop-down menu. As a side effect, 
the menu will never be empty.

A second proposal for this drop-down menu is to display all public projects in the menu, when no user is 
logged in and login is not required to browse the public projects instead of having an empty menu. When a 
user is logged in, only the projects of this user are shown and the extra menu entry "View all projects" can still 
be used to navigate to the projects overview.

I attached a patch where I implemented this by modifying the apps/views/layouts/base.rhtml file. There might, 
however, be better ways to introduce this...

Associated revisions
2008-04-12 07:25 pm - Jean-Philippe Lang 
Fixed: Double dot displayed on ticket view when ticket not updated (closes #813).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1344 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2012-01-18 05:55 pm - Holger Just
- Affected version set to 3.0.0

2012-05-22 05:30 am - Andrew Smith
Isn't something like this already implemented?

https://www.chiliproject.org/projects/chiliproject/repository/revisions/master/entry/app/views/layouts/base.rhtml#L49

2012-05-22 02:58 pm - Andreas Schuh
Possibly. The line you are referring to was added a couple of days after I submitted this issue... I haven't upgraded to ChiliProject 3.0.0 after the 
release. Yet using the beta.

Files
Modified-Projects-drop-down-menu.patch 1.7 kB 2012-01-03 Andreas Schuh
